/**************************************************/
/***						***/
/***	util.h					***/
/***						***/
/**************************************************/

#define		NORMAL		0
#define         ERR             1
#define		NO		0
#define		YES		1

#ifndef		LINUX
#define         FALSE           0
#define         TRUE            1
#endif

#define		DANGER		3
#define		CARE		2
#define		NEUTRAL		1
#define		SAFE		0

#define		MYSIDE		0
#define		ENEMYSIDE	1
#define		LEFTSIDE	2
#define		RIGHTSIDE	3

#define		ROTATELEFT	1
#define		ROTATERIGHT	0

#define		VERTICAL	1
#define		HORIZONTAL	2
#define		SMALLNUM	0.0001	// originally 0.001
#define		BIGNUM		10000	// originally 1000

//#define         X_FIELD         274		/* moved to main.h */
//#define         Y_FIELD         153		/* moved to main.h */
#define		CX		(X_FIELD/2)
#define		CY		(Y_FIELD/2)
#define		GY1		(CY - 25)
#define		GY2		(CY + 25)
#define		PENALTYX	22.5
#define		PENALTYY1	(CY - 50)
#define		PENALTYY2	(CY + 50)
#define		PX		(X_FIELD+1)	/* for potential field */
#define		PY		(Y_FIELD+1)	/* for potential field */
#define         GK		0
#define         DF		1
#define         MF1		2
#define         MF2		3
#define         FW		4

typedef		double		FLOAT;
typedef struct ObjPosition	Obj;
typedef struct cmd_list         CmdList;
