/*
 * Խػ! - ΥեGladeˤäƤޤ.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

GtkWidget*
create_eye5 ()
{
  GtkWidget *eye5;
  GtkWidget *vbox1;
  GtkWidget *eye5_radip_on;
  GtkWidget *eye5_radio_off;
  GtkWidget *hseparator1;
  GtkWidget *eye5_game_start,*eye5_game_start2;
  GtkWidget *button1;
  GtkWidget *button2;
  GtkWidget *button3,*button4,*button6,*button7;
  GtkWidget *eye5_game_stop;
  GtkWidget *hseparator2;
  GtkWidget *eye5_quit;

  eye5 = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_object_set_data (GTK_OBJECT (eye5), "eye5", eye5);
  gtk_container_set_border_width (GTK_CONTAINER (eye5), 3);
  gtk_window_set_title (GTK_WINDOW (eye5), "game");

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_widget_ref (vbox1);
  gtk_object_set_data_full (GTK_OBJECT (eye5), "vbox1", vbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (eye5), vbox1);

  eye5_radip_on = gtk_button_new_with_label ("̵³");
  gtk_widget_ref (eye5_radip_on);
  gtk_object_set_data_full (GTK_OBJECT (eye5), "eye5_radip_on", eye5_radip_on,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (eye5_radip_on);
  gtk_box_pack_start (GTK_BOX (vbox1), eye5_radip_on, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (eye5_radip_on), 6);

  eye5_radio_off = gtk_button_new_with_label ("̵");
  gtk_widget_ref (eye5_radio_off);
  gtk_object_set_data_full (GTK_OBJECT (eye5), "eye5_radio_off", eye5_radio_off,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (eye5_radio_off);
  gtk_box_pack_start (GTK_BOX (vbox1), eye5_radio_off, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (eye5_radio_off), 6);

  hseparator1 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator1);
  gtk_object_set_data_full (GTK_OBJECT (eye5), "hseparator1", hseparator1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator1);
  gtk_box_pack_start (GTK_BOX (vbox1), hseparator1, TRUE, TRUE, 0);

  /**************************************************************/
  button3 = gtk_button_new_with_label ("test");
  gtk_widget_show (button3);
  gtk_box_pack_start (GTK_BOX (vbox1), button3, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (button3), 6);
  
  button4 = gtk_button_new_with_label ("formation");
  gtk_widget_show (button4);
  gtk_box_pack_start (GTK_BOX (vbox1), button4, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (button4), 6);
  /**************************************************************/

  eye5_game_start = gtk_button_new_with_label ("೫");
  gtk_widget_ref (eye5_game_start);
  gtk_object_set_data_full (GTK_OBJECT (eye5), "eye5_game_start", eye5_game_start,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (eye5_game_start);
  gtk_box_pack_start (GTK_BOX (vbox1), eye5_game_start, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (eye5_game_start), 6);

  /**************************************************************/
  eye5_game_start2 = gtk_button_new_with_label ("kick start");
  gtk_widget_ref (eye5_game_start2);
  gtk_object_set_data_full (GTK_OBJECT (eye5), "eye5_game_start2", eye5_game_start2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (eye5_game_start2);
  gtk_box_pack_start (GTK_BOX (vbox1), eye5_game_start2, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (eye5_game_start2), 6);
  /**************************************************************/

  button1 = gtk_button_new_with_label ("塼");
  gtk_widget_ref (button1);
  gtk_object_set_data_full (GTK_OBJECT (eye5), "button1", button1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button1);
  gtk_box_pack_start (GTK_BOX (vbox1), button1, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (button1), 6);

  button2 = gtk_button_new_with_label ("ѡ");
  gtk_widget_ref (button2);
  gtk_object_set_data_full (GTK_OBJECT (eye5), "button2", button2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (button2);
  gtk_box_pack_start (GTK_BOX (vbox1), button2, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (button2), 6);

  /**************************************************************/
  button6 = gtk_button_new_with_label ("right");
  gtk_widget_show (button6);
  gtk_box_pack_start (GTK_BOX (vbox1), button6, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (button6), 6);
  /**************************************************************/
  /**************************************************************/
  button7 = gtk_button_new_with_label ("left");
  gtk_widget_show (button7);
  gtk_box_pack_start (GTK_BOX (vbox1), button7, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (button7), 6);
  /**************************************************************/

  eye5_game_stop = gtk_button_new_with_label ("");
  gtk_widget_ref (eye5_game_stop);
  gtk_object_set_data_full (GTK_OBJECT (eye5), "eye5_game_stop", eye5_game_stop,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (eye5_game_stop);
  gtk_box_pack_start (GTK_BOX (vbox1), eye5_game_stop, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (eye5_game_stop), 6);

  hseparator2 = gtk_hseparator_new ();
  gtk_widget_ref (hseparator2);
  gtk_object_set_data_full (GTK_OBJECT (eye5), "hseparator2", hseparator2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hseparator2);
  gtk_box_pack_start (GTK_BOX (vbox1), hseparator2, TRUE, TRUE, 0);

  eye5_quit = gtk_button_new_with_label ("λ");
  gtk_widget_ref (eye5_quit);
  gtk_object_set_data_full (GTK_OBJECT (eye5), "eye5_quit", eye5_quit,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (eye5_quit);
  gtk_box_pack_start (GTK_BOX (vbox1), eye5_quit, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (eye5_quit), 6);

  gtk_signal_connect (GTK_OBJECT (eye5_radip_on), "pressed",
                      GTK_SIGNAL_FUNC (on_eye5_radip_on_pressed),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (eye5_radio_off), "pressed",
                      GTK_SIGNAL_FUNC (on_eye5_radio_off_pressed),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (eye5_game_start), "pressed",
                      GTK_SIGNAL_FUNC (on_eye5_game_start_pressed),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (button1), "pressed",
                      GTK_SIGNAL_FUNC (on_button1_pressed),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (button2), "pressed",
                      GTK_SIGNAL_FUNC (on_button2_pressed),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (eye5_game_stop), "pressed",
                      GTK_SIGNAL_FUNC (on_eye5_game_stop_pressed),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (eye5_quit), "pressed",
                      GTK_SIGNAL_FUNC (on_eye5_quit_pressed),
                      NULL);

  /*****************************************************/
  
  gtk_signal_connect (GTK_OBJECT (button3), "pressed",
                      GTK_SIGNAL_FUNC (on_button3_pressed),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (button4), "pressed",
                      GTK_SIGNAL_FUNC (on_button4_pressed),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (button6), "pressed",
                      GTK_SIGNAL_FUNC (on_button6_pressed),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (button7), "pressed",
                      GTK_SIGNAL_FUNC (on_button7_pressed),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (eye5_game_start2), "pressed",
                      GTK_SIGNAL_FUNC (on_eye5_game_start_pressed2),
                      NULL);
    
/**********************************************************/

  return eye5;
}





