#ifndef PROT_H
#define PROT_H


// RADIO.C
void radio_def(void);
void set_robot_speed();
void set_robot_global();
void test_robot_go100(void);
void game_start_by_f5call(void);
void game_stop_by_f5call(void);

// ROBOE.C
void set_retry_number(int ,int );
int get_response(int);
void wait_ack(int);
void f5call(int fd,struct cmd_list[]);

// MODE.C
void Mode_Check(void);

// MODEM.C
void tread(int,char* ,int);
int modem_show_reg(int,int);
int modem_set_reg(int,int,int);
int modem_bcl(int);
int modem_rst(int);
int modem_dcn(int);
int modem_con(int,int);

// SERIAL.C
void signal_handler_IO(int);
void OpenSerial(int*);
void CloseSerial(int);
void get_Robo_Status(int);
void init_modem(int);
void fifo_in(char* ,int* ,int* ,char* ,int);
char get_char_fifo(char* ,int* ,int*);

// CORCH.C
void HeadCoachInit(void);

#endif // PROT_H



