#include <stdio.h>
#include "main.h"
#include "radio.h"
#include "prottype.h"




#define ROBOE_SPEED    350    /* Robo-E ǥեȥԡ def : 350 */


void radio_def(){

  mate[0].radio = ROBO_01;
  mate[1].radio = ROBO_02;
  mate[2].radio = ROBO_03;
  mate[3].radio = ROBO_04;
  mate[4].radio = ROBO_05;

  mate[3].x = 1000;
  mate[3].y = 1000;

  mate[4].x = 1000;
  mate[4].y = 1000;
}


void set_robot_speed(){
  struct cmd_list cmd[5];

  /*set_speed( fd , 1 , 500, 0, 0);
  set_speed( fd , 2 , 500, 0, 0);
  set_speed( fd , 3 , 500, 0, 0);
  set_speed( fd , 4 , 500, 0, 0);
  set_speed( fd , 5 , 500, 0, 0);*/

  cmd[0].cmd = 'b';
  cmd[0].para[0] = ROBOE_SPEED;
  cmd[0].para[1] = 0;
  cmd[0].para[2] = 0;

  cmd[1].cmd = 'b';
  cmd[1].para[0] = ROBOE_SPEED;
  cmd[1].para[1] = 0;
  cmd[1].para[2] = 0;

  cmd[2].cmd = 'b';
  cmd[2].para[0] = ROBOE_SPEED;
  cmd[2].para[1] = 0;
  cmd[2].para[2] = 0;

  cmd[3].cmd = 'b';
  cmd[3].para[0] = ROBOE_SPEED;
  cmd[3].para[1] = 0;
  cmd[3].para[2] = 0;

  cmd[4].cmd = 'b';
  cmd[4].para[0] = ROBOE_SPEED;
  cmd[4].para[1] = 0;
  cmd[4].para[2] = 0;

  f5call(fd,cmd);

}


void set_robot_global(){
  struct cmd_list cmd[5];

  cmd[0].cmd = 'l';
  cmd[0].para[0] = 1;
  cmd[0].para[1] = 0;
  cmd[0].para[2] = 0;

  cmd[1].cmd = 'l';
  cmd[1].para[0] = 1;
  cmd[1].para[1] = 0;
  cmd[1].para[2] = 0;

  cmd[2].cmd = 'l';
  cmd[2].para[0] = 1;
  cmd[2].para[1] = 0;
  cmd[2].para[2] = 0;

  cmd[3].cmd = 'l';
  cmd[3].para[0] = 1;
  cmd[3].para[1] = 0;
  cmd[3].para[2] = 0;

  cmd[4].cmd = 'l';
  cmd[4].para[0] = 1;
  cmd[4].para[1] = 0;
  cmd[4].para[2] = 0;

  f5call(fd,cmd);
}


void test_robot_go100(){
  struct cmd_list cmd[5];

  cmd[0].cmd = 'g';
  cmd[0].para[0] = 100;
  cmd[0].para[1] = 0;
  cmd[0].para[2] = 0;

  cmd[1].cmd = 'g';
  cmd[1].para[0] = 100;
  cmd[1].para[1] = 0;
  cmd[1].para[2] = 0;

  cmd[2].cmd = 'g';
  cmd[2].para[0] = 100;
  cmd[2].para[1] = 0;
  cmd[2].para[2] = 0;

  cmd[3].cmd = 'g';
  cmd[3].para[0] = 100;
  cmd[3].para[1] = 0;
  cmd[3].para[2] = 0;

  cmd[4].cmd = 'g';
  cmd[4].para[0] = 100;
  cmd[4].para[1] = 0;
  cmd[4].para[2] = 0;

  f5call(fd,cmd);
}



void game_start_by_f5call(){

  struct cmd_list cmd[5];
// test code
	set_robot_global();
	fprintf(stderr,"game start by f5call\n");
// end test code


  cmd[0].cmd = 'm';
  cmd[0].para[0] = 1;
  cmd[0].para[1] = 0;
  cmd[0].para[2] = 0;

  cmd[1].cmd = 'm';
  cmd[1].para[0] = 1;
  cmd[1].para[1] = 0;
  cmd[1].para[2] = 0;

  cmd[2].cmd = 'm';
  cmd[2].para[0] = 1;
  cmd[2].para[1] = 0;
  cmd[2].para[2] = 0;

  cmd[3].cmd = 'm';
  cmd[3].para[0] = 1;
  cmd[3].para[1] = 0;
  cmd[3].para[2] = 0;

  cmd[4].cmd = 'm';
  cmd[4].para[0] = 1;
  cmd[4].para[1] = 0;
  cmd[4].para[2] = 0;

  f5call(fd,cmd);
}


void game_stop_by_f5call(){
  struct cmd_list cmd[5];

  cmd[0].cmd = 'm';
  cmd[0].para[0] = 0;
  cmd[0].para[1] = 0;
  cmd[0].para[2] = 0;

  cmd[1].cmd = 'm';
  cmd[1].para[0] = 0;
  cmd[1].para[1] = 0;
  cmd[1].para[2] = 0;

  cmd[2].cmd = 'm';
  cmd[2].para[0] = 0;
  cmd[2].para[1] = 0;
  cmd[2].para[2] = 0;

  cmd[3].cmd = 'm';
  cmd[3].para[0] = 0;
  cmd[3].para[1] = 0;
  cmd[3].para[2] = 0;

  cmd[4].cmd = 'm';
  cmd[4].para[0] = 0;
  cmd[4].para[1] = 0;
  cmd[4].para[2] = 0;

  f5call(fd,cmd);
}


/* ƥ */
#if 0
int HeadCoach2_(){

  /*for( i=0 ;i< MAX_ROBO_NO ; i++){
    if( Tr_mate[i].check ){
      fprintf(stderr," mate[%d],(%f,%f) spd: %f  dir: %f\n",
	      i,mate[i].x,mate[i].y,mate[i].speed,mate[i].dir);
    }
  }*/

  fprintf(stderr," Ball:: (%d,%d),(%f,%f)\n",
	  Tr_ball.x,Tr_ball.y,ball.x,ball.y);

  /*go_dist_mm(fd, 1, 'g', 0, 200);*/
}

#endif





